Summary: Install Navigator for Oracle
Name: oranavi
Version: 11.2.1
Release: 2AX
URL: http://www.miraclelinux.com
License: Commercial
ExclusiveOS: Linux
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source0: %{name}-%{version}.tar.bz2
Patch0: oranavi-get-version-db11g-DVD-ROM.patch
BuildRequires: python-tools
Requires: pygtk2 >= 1.99.11
Requires: pygtk2-libglade 
Requires: python2
Requires: sed
Requires: gawk
Requires: chkconfig
NoSource: 0

%description
Install Navigator for Oracle (abbreviated-name oranavi) is a GUI tool which
eases the installation process of Oracle. It also provides a functionality
to change automatic startup/shutdown of Oracle Database in a manageable way.

%prep
%setup -q

%patch0 -p1

%build
make

%install
make INSTROOT=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applnk/Settings
install -m755 dbora $RPM_BUILD_ROOT/etc/rc.d/init.d/
install -m644 %{name}.desktop $RPM_BUILD_ROOT%{_datadir}/applnk/Settings/%{name}.desktop
install -m644 oraparam.ini $RPM_BUILD_ROOT%{_datadir}/%{name}
%ifarch ia64
    pushd doc/ia64/
    [ -d zh ] && mv zh zh_CN
%else
%ifarch x86_64 ppc ppc64
    pushd doc/x86_64/
    [ -d zh ] && mv zh zh_CN
%else
    pushd doc/i386/
    [ -d zh ] && mv zh zh_CN
%endif
%endif
    for dir in `find . -type d`; do
	mkdir -p -m755 $RPM_BUILD_ROOT%{_datadir}/%{name}/doc/$dir
    done
    for file in `find . -name *.html -o -name *.jpg -o -name *.gif`; do
	subdir=`dirname $file`
	install -m644 $file $RPM_BUILD_ROOT%{_datadir}/%{name}/doc/$subdir
    done
popd
#for the pictures of Traditional Chinese
cd $RPM_BUILD_ROOT%{_datadir}/%{name}/doc/zh_TW/
for dir in `find . -type d | grep -v oranavi`; do
	pushd "$dir"
	for loop in `ls ../../zh_CN/$dir/*[0-9].jpg`; do
    		ln -s $loop .
	done
	popd
done
ln -s ../zh_CN/oranavi/ .

%clean
rm -fr $RPM_BUILD_ROOT

%post
if [ "$1" = "1" ]; then
    /sbin/chkconfig --add dbora
fi

%preun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/dbora ]; then
        /etc/rc.d/init.d/dbora stop >& 2
    fi
    /sbin/chkconfig --del dbora
fi
if [ -d /usr/share/%{name} ] ; then
    rm -rf /usr/share/%{name}/*.pyc
fi

%files
%defattr(-,root,root)
%doc AUTHORS
/etc/rc.d/init.d/dbora
/usr/sbin/%{name}
%dir /usr/share/%{name}
/usr/share/locale/*/LC_MESSAGES/oranavi.mo
/usr/share/%{name}/*
/usr/share/pixmaps/%{name}/oranavi.png
/usr/share/pixmaps/%{name}/first.xpm
%attr(0644,root,root) %{_datadir}/applnk/Settings/%{name}.desktop

%changelog
* Thu Nov 21 2007 Tetsuya Morimoto <tmorimoto@miraclelinux.com> 11.2.1-2AX
- applied a bug fix which gets version from 11gDB-R1 DVD-ROM(AXbug#3748)

* Thu Oct 17 2007 Tetsuya Morimoto <tmorimoto@miraclelinux.com> 11.2.1-1AX
- add support oracle 11gDB-R1(ia32) and installation guide
- create new version package which is improved for maintainability of Asianux 2.0

* Thu Jan  4 2007 Hiroshi Hara <hhara@miraclelinux.com> 10.3-2AX
- update Korean po file and oracle docs

* Tue Dec 19 2006 Hiroshi Hara <hhara@miraclelinux.com> 10.3-1AX
- update to oranavi-10.3 to select Oracle AS

* Thu Apr 18 2006 Hwanii Jung <shjung@haansoft.com> 10.2-26AX
- modify to support installing 'OracleDB R2 lite' which needs 
  JAVA_13HOME set as an environment variable

* Fri Mar 17 2006 Shiro Yamada <shiro@miraclelinux.com> 10.2-25AX
- modify kernel parameters when installing 10gDB-R2
- fix a typo in setting a custom NLS_LANG

* Mon Jan 1 2006 Hwanii Jung <shjung@haansoft.com> 10.2-24AX
- merge oranavi-10.2-10gdbr1_ia64.patch into the source
- add 'database' diretory to be recongnized in DVD media
- update korean docs

* Fri Nov 11 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-23AX
- update ko docs

* Wed Nov  2 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-22AX
- launch OUI installer with -ignoreSysPrereqs for IA64
- update documents for IA64

* Thu Sep  20 2005 Zhongyong Li <zylee@redflag-linux.com> 10.2-21AX
- add the tradition chinese documentation for IA64 system 
 
* Thu Aug  4 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-20AX
- update korean docs
- launch OUI in korean when installing 10gDB-R2
- use x86-64 docs for ppc arch

* Wed Jul 27 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-19AX
- check for cdrecorder as well as cdrom
- update screen shots

* Tue Jul 26 2005 Hua Jie <jiehua@redflag-linux.com> 10.2-18AX
- unset LANG in account oracle's profile file in Chinese and Korean

* Mon Jul 25 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-17AX
- add Korean help docs
- update Korean messages
- add missing image files

* Mon Jul 25 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-16AX
- fix NLS_LANG window under Korean
- split CLASSPATH into pieces
- add --force option to ignore certified version checks
- add documents for 10gDB-R2

* Wed Jul 13 2005 Jun YOSHIDA <jun@miraclelinux.com> 10.2-15AX
- fixed some bugs in English documents.
- correct typo in Korean po file.

* Tue Jul 12 2005 Hua Jie <jiehua@redflag-linux.com> 10.2-14AX
- add documents of Traditional Chinese
- modify the NLS_LANG value to the correct one

* Fri Jul  8 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-13AX
- reject uncertified versions

* Wed Jun 29 2005 XiaoYu Zhou <xyzhou@redflag-linux.com> 10.2-12AX
- translate on oline help doc to chinese
- add traditional chinese

* Wed Jun 29 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-11AX
- display an error dialog when run by non-root user
- unset LANGUAGE var

* Wed Jun 15 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-10AX
- use -paramFile only for 10gDB R1
- chown only the relevant dir

* Tue Jun 14 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-9AX
- export variables in /etc/sysconfig/httpd

* Tue Jun  7 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-8AX
- fix CLASSPATH
- update docs

* Tue May 31 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-7AX
- use orapam.ini for installing oracle10g
- use Japanese_Japan.AL32UTF8 as NLS_LANG

* Wed May 11 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-6AX
- change CD-ROM directory to /media/cdrom
- let it check permission for OUI execution first
- update Korean messages

* Thu Apr 28 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-5AX
- let it uses English Installer when LANG=ko_KR

* Mon Apr 19 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-4AX
- fixed quirky link messages

* Thu Mar 31 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-3AX
- add zh_CN and ko_KR messages
- fix a bug for setting default environment variables

* Tue Mar 29 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-2AX
- add Korean locale support
- make it work with firefox

* Tue Mar 22 2005 Shiro Yamada <shiro@miraclelinux.com>
- initial packaging

